Update Binder Template
Update an existing binder template in your Vault.
By changing the document type/subtype/classification, you can move an existing binder template to a different level of the document type hierarchy, effectively reclassifying the template.
See also: Bulk Update Binder Templates below.
PUT
/api/{version}/objects/binders/templatesHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
Body Parameters
Section link for Body ParametersYou can update the following fields on binder templates:
| Name | Description |
|---|---|
name__v | Change the name of an existing binder template. |
label__v | Change the label of an existing binder template. This is the name users will see among the available binder templates in the UI. |
type__v | Change the document type to which the template is associated. |
subtype__v | Change the document subtype to which the template is associated. This is only required if associating the template with a document subtype. |
classification__v | Change the document classification to which the template is associated. This is only required if associating the template with a document classification. |
active__v | Set to true or false to indicate whether or not the binder template should be set to active, i.e., available for selection when creating a binder. |
In this example:
- The input file format is set to
application/x-www-form-urlencoded. - The response format is set to
text/csv. - The
active__vfield is set tofalse. We're changing the status of this binder template from "Active" to "Inactive".
Request
Section link for Requestcurl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-H "Accept: text/csv" \
-d "active__v=true" \
https://myvault.veevavault.com/api/v19.1/objects/binders/templates/binder_template_1__cResponse (CSV)
Section link for Response (CSV)responseStatus,name,errors
SUCCESS,binder_template_1__c,Response Details
Section link for Response DetailsOn SUCCESS, Vault returns the name of the updated binder template.